domeinen weergeven
Geeft klantdomeinen weer die zichtbaar zijn voor de principal van de openbare API.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisaties
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Padparameters
Queryparameters
Respons
Domeinen op deze pagina
Hide child attributes
Hide child attributes
Domein UUID
Domeinnaam
Of uitgaande routering gereed is
Levenscyclusstatus van domein
Werkruimte UUID die het domein bevat
Of automatische verlenging van domeinen is ingeschakeld
Tijdstempel voor het maken van domeinen
Toegewezen speciale IP UUID, indien aanwezig
Externe ID van de provider voor de inkomende tenant
Inkomende tenant UUID, indien toegewezen
Weergavenaam van binnenkomende tenant, indien toegewezen
Binnenkomend tenanttype, indien toegewezen
Geconfigureerde omleidingsmodus, indien aanwezig
301, 302, iframe Geconfigureerde omleidings-URL, indien aanwezig
Tijdstempel van laatste update van domein
Huidig, op één gebaseerd paginanummer
Maximaal aantal items per pagina
Totaal aantal overeenkomende domeinen
Was deze pagina nuttig?
